import config from '@/config/config';
import {WebSocketClient} from "@/Services/WebSocketClient";

export class WebSocketController {
    private wsNamespace = 'ZmartDataCollector';

    private ws?: WebSocketClient;

    public async connect(nrorg: string) {

        this.ws = new WebSocketClient();
        await this.ws.connectClientZmart(config?.env?.urlWebSocket, nrorg, this.wsNamespace);
        setTimeout(() => {
            this.ws?.close();
            this.ws = new WebSocketClient();
            this.ws.connectClientZmart(config?.env?.urlWebSocket, nrorg, this.wsNamespace);
        }, 600000);

        return this.ws;
    }

}
